## Joe header

Preact header application to be consumed on joejuice websites. Currently this is packaged and published to npm

## How to use

After publishing to npm its possible to use unpkg to import the bundled widget. The package will look for a `.header` to attach itself to.

If a new version is available then use that version in the path, e.g. https://unpkg.com/joe-header@0.1.new-version/dist/joeheader.js

Add this to index.html of the project where you want to use the header. 

```html
<!-- index.html -->
...
<body>
  <div class="joe-web-header"></div>
  <script async src="https://unpkg.com/joe-header/dist/joeheader.js"></script>
	<!-- <script async src="https://unpkg.com/joe-header@0.1.70/dist/joeheader.js"></script> -->

		<script>
      // The component will init itsself but incase that it doesnt happen, try to wait for the dom to finish loading
			window.addEventListener('DOMContentLoaded', (event) => {
				joeheader.init();
			});
		</script>

</body>
...
```

## CLI Commands

ALWAYS REMEMBER TO BUNBLDE FIRST

```bash
# install dependencies
yarn install

# serve with hot reload at localhost:8080
yarn dev

# build npm ready bundles to be consumed by other Preact web apps. Builds to dist folder
yarn bundle

# usefull command to patch version number (x.x.x+1). Can also be done in package.json manually
npm version patch 

# publish new bundle to npm. Build a new widget and increase version number in order to publish
npm publish
```

For detailed explanation on how things work, checkout the [CLI Readme](https://github.com/preactjs/preact-cli/blob/master/README.md).
